Current average price
Get current average price for a symbol.
Current average price › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Current average price › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Current average price › Responses
Current average price
idstatusOrder book
Get current order book.
Note that this request returns limited market depth.
If you need to continuously monitor order book updates, please consider using WebSocket Streams:
<symbol>@depth<levels><symbol>@depth
You can use depth request together with <symbol>@depth streams to maintain a local order book.
Order book › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Adjusted based on the limit:
| Limit | Request Weight |
|---|---|
| 1-100 | 5 |
| 101-500 | 25 |
| 501-1000 | 50 |
| 1001-5000 | 250 |
Order book › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Order book › Responses
Order book
idstatusKlines
Get klines (candlestick bars).
Klines are uniquely identified by their open & close time.
If you need access to real-time kline updates, please consider using WebSocket Streams:
<symbol>@kline_<interval>
If you need historical kline data, please consider using data.binance.vision.
Klines › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Klines › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Klines › Responses
Klines
idstatusRolling window price change statistics
Get rolling window price change statistics with a custom window.
This request is similar to ticker.24hr but statistics are computed on demand using the arbitrary window you specify.
Note: Window size precision is limited to 1 minute.
While the closeTime is the current time of the request, openTime always start on a minute boundary.
As such, the effective window might be up to 59999 ms wider than the requested windowSize.
Window computation example
For example, a request for "windowSize": "7d" might result in the following window:
Code
Time of the request – closeTime – is 1660184865291 (August 11, 2022 02:27:45.291).
Requested window size should put the openTime 7 days before that – August 4, 02:27:45.291 –
but due to limited precision it ends up a bit earlier: 1659580020000 (August 4, 2022 02:27:00),
exactly at the start of a minute.
If you need to continuously monitor trading statistics, please consider using WebSocket Streams:
<symbol>@ticker_<window_size>or!ticker_<window-size>@arr
Rolling window price change statistics › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Adjusted based on the number of requested symbols:
| Symbols | Weight |
|---|---|
| 1–50 | 4 per symbol |
| 51–100 | 200 |
Rolling window price change statistics › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
Rolling window price change statistics › Responses
Rolling window price change statistics
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object | |
| type = object |
idstatus24hr ticker price change statistics
Get 24-hour rolling window price change statistics.
If you need to continuously monitor trading statistics, please consider using WebSocket Streams:
-
<symbol>@tickeror!ticker@arr -
<symbol>@miniTickeror!miniTicker@arr
If you need different window sizes,
use the ticker request.
24hr ticker price change statistics › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Adjusted based on the number of requested symbols:
| Parameter | Symbols Provided | Weight |
|---|---|---|
| symbol | 1 | 2 |
| omitted | 80 | |
| symbols | 1-20 | 2 |
| 21-100 | 40 | |
| 101+ | 80 | |
| omitted | 80 |
24hr ticker price change statistics › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
24hr ticker price change statistics › Responses
24hr ticker price change statistics
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object | |
| type = object |
idstatusSymbol order book ticker
Get the current best price and quantity on the order book.
If you need access to real-time order book ticker updates, please consider using WebSocket Streams:
<symbol>@bookTicker
Symbol order book ticker › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Adjusted based on the number of requested symbols:
| Parameter | Symbols Provided | Weight |
|---|---|---|
| symbol | 1 | 2 |
| omitted | 4 | |
| symbols | Any | 4 |
Symbol order book ticker › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
Symbol order book ticker › Responses
Symbol order book ticker
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object | |
| type = object |
idstatusSymbol price ticker
Get the latest market price for a symbol.
If you need access to real-time price updates, please consider using WebSocket Streams:
-
<symbol>@aggTrade -
<symbol>@trade
Symbol price ticker › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Adjusted based on the number of requested symbols:
| Parameter | Symbols Provided | Weight |
|---|---|---|
| symbol | 1 | 2 |
| omitted | 4 | |
| symbols | Any | 4 |
Symbol price ticker › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
Symbol price ticker › Responses
Symbol price ticker
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object | |
| type = object |
idstatusTrading Day Ticker
Price change statistics for a trading day.
Trading Day Ticker › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
4 for each requested symbol regardless of windowSize. The weight for this request will cap at 200 once the number of symbols in the request is more than 50.
Trading Day Ticker › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
Trading Day Ticker › Responses
Trading Day Ticker
idstatusAggregate trades
Get aggregate trades.
An aggregate trade (aggtrade) represents one or more individual trades.
Trades that fill at the same time, from the same taker order, with the same price –
those trades are collected into an aggregate trade with total quantity of the individual trades.
If you need access to real-time trading activity, please consider using WebSocket Streams:
<symbol>@aggTrade
If you need historical aggregate trade data, please consider using data.binance.vision.
Aggregate trades › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Aggregate trades › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Aggregate trades › Responses
Aggregate trades
idstatusHistorical trades
Get historical trades.
Historical trades › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Historical trades › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Historical trades › Responses
Historical trades
idstatusHistorical Block Trades
Get block trades.
Historical Block Trades › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Historical Block Trades › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Historical Block Trades › Responses
Historical Block Trades
idstatusRecent trades
Get recent trades.
If you need access to real-time trading activity, please consider using WebSocket Streams:
<symbol>@trade
Recent trades › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Recent trades › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Recent trades › Responses
Recent trades
idstatusUI Klines
Get klines (candlestick bars) optimized for presentation.
This request is similar to klines, having the same parameters and response. uiKlines return modified kline data, optimized for presentation of candlestick charts.
UI Klines › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
UI Klines › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
UI Klines › Responses
UI Klines
idstatusQuery Reference Price
Query Reference Price
Query Reference Price › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Query Reference Price › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Query Reference Price › Responses
Query Reference Price
idstatusQuery Reference Price Calculation
Query Reference Price Calculation
Query Reference Price Calculation › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Query Reference Price Calculation › Request Parameters
idClient-generated request identifier.
methodWebSocket API method name.
Query Reference Price Calculation › Responses
Query Reference Price Calculation
idstatus